Prerequisites questions

All questions about installation
Forum rules
Please read the forum usage recommendations before posting.
Post Reply
David_V
Posts: 2
Joined: Sun May 06, 2018 11:03 pm

Prerequisites questions

Post by David_V » Tue May 08, 2018 7:11 pm

Hello,

I 've downloaded the 5.0.8 version; I wonder how to specify PyQt and Qt 4 in the configuration step ?
According to the installation manuel (v5.0.0) I type these lines in the teminal but didnot find the path:

./configure --prefix=home/vincent/Code-Saturne/5.0.8/saturne_build/opt
--with-salome
--with-med-include=/home/vincent/salome_meca/V2017/tools/Medfichier-321/include
--with-med-lib=/home/vincent/salome_meca/V2017/tools/Medfichier-321/lib
--with-libxml2=/home/vincent/salome_meca/V2017/prerequisites/Libxml2-290
--with-hdf5=/home/vincent/salome_meca/V2017/prerequisites/Hdf5-1814
--with-cgns=/home/vincent/salome_meca/V2017/prerequisites/Cgnslib-3134

I precise the Source path is /home/vincent/CodeSaturne/5.0.8/SRC/code_saturne-5.0.8
and the Install path is /home/vincent/CodeSaturne/5.0.8/saturne_build/opt

(and) make, make install

About parallel computing (Mpi, Metis, Scotch), Is it required for any type of calculation?

regards, David

Yvan Fournier
Posts: 2720
Joined: Mon Feb 20, 2012 3:25 pm

Re: Prerequisites questions

Post by Yvan Fournier » Wed May 09, 2018 2:41 pm

Hello,

You either need a local (/usr/... or loaded user module) installation or PyQt, or to use SALOME's installation, to source the SALOME environment (in which case you will probably need to source it every time you use the installation, as the matching Python install will only be usable with the matching environment variables).

Regards,

Yvan

David_V
Posts: 2
Joined: Sun May 06, 2018 11:03 pm

Re: Prerequisites questions

Post by David_V » Mon May 14, 2018 7:57 pm

Hello Yvan,

Thanks for your reply,
So i rather modify the install path as /usr/local and the configure command :

./configure --prefix=/usr/local/Code-Saturne/5.0.8/saturne_build/opt
--with-med-include=/usr/local/include/Medfichier-321/include
--with-med-lib=/usr/local/lib/Medfichier-321/lib

(make)
(make install)
But the installed MED library (with APT) is 3.0.6 ! ... so should I copy the MED files from SALOME directories to /usr/local/ ... ?
I suppose copy these files in home/ .. couldnt be found by code saturne when it's running :?:
Libxml2, hdf5 and cgns are ok.

regards,
David

Yvan Fournier
Posts: 2720
Joined: Mon Feb 20, 2012 3:25 pm

Re: Prerequisites questions

Post by Yvan Fournier » Mon May 14, 2018 9:28 pm

Hello,

I do not understand your naming strategy (i.e. using "saturne_build" not for the build directory but for the destination ("--prefix"). Also, if you do not have write access in /usr/local, using a local account (/home/<user>/opt for example) might be better. It depends on whether you are sharing your install with other users.

In any case, you can use MED and HDF5 from SALOME. Only the Python and PyQt aspects are more tricky. An there is no need to separate the med-lib and med-include options in most cases.

Did you read the "installation with SALOME" section in the installation guide ?

Regards,

Yvan

Washers
Posts: 1
Joined: Tue May 15, 2018 10:20 am

Re: Prerequisites questions

Post by Washers » Tue May 22, 2018 12:21 pm

Hi David, did you manage to get everything working? I'd like to replicate what you did with the install path if it works.

Post Reply